Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeGetNormal

Get the extrusion normal vector

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeGetNormal(DMPlexTransform tr, PetscReal normal[])

Not Collective

## Input Parameter

- tr - The `DMPlexTransform`

## Output Parameter

- normal - The extrusion direction

## Note

The user passes in an array, which is filled by the library.

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeSetNormal()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages